Comprovante
curl --request GET \
--url https://api.upag.io/v1/transfers/{transferId}/receipt \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/transfers/{transferId}/receipt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/transfers/{transferId}/receipt';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Transferências
Comprovante
HTML do comprovante de transferência
GET
https://api.upag.io
/
v1
/
transfers
/
{transferId}
/
receipt
Comprovante
curl --request GET \
--url https://api.upag.io/v1/transfers/{transferId}/receipt \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/transfers/{transferId}/receipt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/transfers/{transferId}/receipt';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Retorna página HTML do comprovante (imagem ou PDF com auto-print).
Corpo: página HTML com dados do comprovante (valor em centavos, pagador, recebedor, chave Pix,
Endpoint
curl "https://api.upag.io/v1/transfers/770e8400-e29b-41d4-a716-446655440000/receipt?format=image" \
-H "Authorization: Bearer sk_test_your_api_key"
Query
string
image (padrão) ou pdf.Resposta
200 OK
| Header | Valor |
|---|---|
Content-Type | text/html; charset=utf-8 |
controlNumber / EndToEndId). Com format=pdf, o HTML inclui script de impressão para gerar PDF no navegador.